Subject: Blue Spruce Woods

From: [email-masked] (Cynthia Donahey)
Date: 29 Aug 1995 17:23:32 -0400

A few years ago, someone was selling 15 to 20 foot blue spruce XMas
trees for a very high price. Nobody seemed to be buying. I'm just curious.
There must be some blue spruce woods around. Does anyone know of any?